/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增或修改外部系统 POST /api/ExternalSystem/CreateOrEditExternalSystem */
export async function createOrEditExternalSystem(
  body: API.ExternalSystemDto,
  options?: API.RequestConfig
) {
  return request<string>('/api/ExternalSystem/CreateOrEditExternalSystem', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取外部系统列表 POST /api/ExternalSystem/GetExternalSystemList */
export async function getExternalSystemList(
  body: API.GetExternalSystemInput,
  options?: API.RequestConfig
) {
  return request<API.ExternalSystemDtoPageOutput>('/api/ExternalSystem/GetExternalSystemList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
